Bug 1005751 - [REST-API] Update power management agent type via CLI failed
[REST-API] Update power management agent type via CLI failed
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Ravi Nori
Tareq Alayan
infra
: Triaged
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-09-09 06:38 EDT by Artyom
Modified: 2016-02-10 14:26 EST (History)
8 users (show)

See Also:
Fixed In Version: is22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19104 None None None Never
oVirt gerrit 20770 None None None Never
oVirt gerrit 20874 None None None Never

  None (edit)
Description Artyom 2013-09-09 06:38:32 EDT
Description of problem:
Run command via cli:
update host aqua-vds8.qa.lab.tlv.redhat.com --power_management-agents-agent "agent.type=ipmilan, agent.username=qa,agent.order=1,agent.concurrent=false,agent.address=10.10.10.10,agent.password=111,agent.username=qa2,agent.order=2,agent.concurrent=false,agent.address=11.11.11.11,agent.password=222" --power_management-enabled true

Return error message 
error: "type" is invalid segment at option "--agent.type=ipmilan".



Version-Release number of selected component (if applicable):
is13

How reproducible:
always

Steps to Reproduce:
1. Add host with two power managements and try to update power management types of agents
2.
3.

Actual results:
error message

Expected results:
change type of first agent to ipmilan

Additional info:
When run command:
update host aqua-vds8.qa.lab.tlv.redhat.com --power_management-agents-agent "agent.username=qa,agent.order=1,agent.concurrent=false,agent.address=10.10.10.10,agent.password=111" --power_management-agents-agent "agent.type=ipmilan,agent.username=qa2,agent.order=2,agent.concurrent=false,agent.address=11.11.11.11,agent.password=222" --power_management-enabled true
Update success, with apc type for two agents
Comment 1 Tareq Alayan 2013-10-31 09:42:00 EDT
assigned back.
tested on 
rhevm-cli-3.3.0.8-1.el6ev.noarch
rhevm-3.3.0-0.30.beta1.el6ev.noarch

update host rose01 --power_management-agents-agent "agent.type=ipmilan, agent.user_name=qa,agent.order=1,agent.concurrent=false,agent.address=10.10.10.10,agent.password=111,agent.user_name=qa2,agent.order=2,agent.concurrent=false,agent.address=11.11.11.11,agent.password=222" --power_management-enabled true


error: " agent.user_name=qa" is invalid segment at option "--power_management-agents-agent".
Comment 2 Ravi Nori 2013-10-31 10:01:30 EDT
Please replace agent.user_name with agent.username

I was able to successfully update host using command

update host host1 --power_management-agents-agent "agent.type=ipmilan,agent.username=qa,agent.order=1,agent.concurrent=false,agent.address=10.10.10.10,agent.password=111,agent.username=qa2,agent.order=2,agent.concurrent=false,agent.address=11.11.11.11,agent.password=222" --power_management-enabled true
Comment 3 Ravi Nori 2013-10-31 11:21:56 EDT
Submitting patch to fix option name in rsdl
Comment 5 Tareq Alayan 2013-11-10 05:43:21 EST
verified on rhevm-sdk-python-3.3.0.19-1.el6ev.noarch
Comment 6 Itamar Heim 2014-01-21 17:20:35 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:26:14 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.